import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable, of } from 'rxjs';
import { Author } from "./author";

@Injectable({
  providedIn: 'root'
})
export class AuthorsService {
  private authorsUrl = '/api/author/';
  constructor(private http: HttpClient) { }
  getAuthors(): Observable<Author[]> {
    return this.http.get<Author[]>(this.authorsUrl)
  }
}
