import { Injectable } from '@angular/core';
import {Observable} from "rxjs";
import {Commit} from "./commit";
import {HttpClient} from "@angular/common/http";

@Injectable({
  providedIn: 'root'
})
export class CommitsService {
  private commitsUrl = '/api/commit/';
  constructor(private http: HttpClient) { }

  getCommits(): Observable<Commit[]> {
    return this.http.get<Commit[]>(this.commitsUrl)
  }
}
