<?php

namespace App\Repository;

use App\Entity\Commit;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

class CommitRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, Commit::class);
    }

    public function findAllCommits(): array
    {
        $commits = $this->findAll();
        $result = [];

        foreach ($commits as $commit) {
            $result[] = $commit->toArray();
        }

        return $result;
    }
}
