# SaGITarius - Code challenge project 

 - PHP Symfony
 - Angular
 - Bulma CSS
 
## how start
run in docker compose:
`docker-compose up`

load commits
`docker-compose exec web php /var/www/bin/console app:load-commits`

open the browser:
 - http://localhost:8090/commit/ - list of commits (non angular)
 - http://localhost:8090/author/ - list of authors (non angular)
 - http://localhost:8090/index.html - Angular application
 
## How were you debugging this mini-project? Which tools?
 php part is being debugged with xdebug
 javascript part was debugged using nodejs debugger and chrome tools 
 
## How were you testing the mini-project?
there is gilabci pipeline which is being run every commit
 
the following tools used for testing
 - phpunit
 - karma
 - phpcs
 - eslint
 
## Imagine this mini-project needs microservices with one single database, how would you draft an architecture? 
 This miniproject can be deployed anywhere as soon as database is available from it is not a problem to access it using mysqli or mysql_pdo driver.
 
## How would your solution differ when all over the sudden instead of saving to a Database you would have to call another external API to store and receive the commits.
 The database layer can be replaced with the service which will be calling remote api to store data.

## Repository
The project is being hosted on private selfhosted repository here
https://g.maxistar.me/challenges/sagitarius
Here is list of issues that I have not done yet, due of lack of time only basic functionality is implemented.

## Demo server
The project deployed to demo server here: http://sagitarius.maxistar.me/index.html
open the browser:
 - http://sagitarius.maxistar.me/commit/ - list of commits (non angular)
 - http://sagitarius.maxistar.me/author/ - list of authors (non angular)
 - http://sagitarius.maxistar.me/index.html - Angular application

