<?php

namespace App\Repository;

use App\Entity\Author;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Symfony\Bridge\Doctrine\ManagerRegistry;

class AuthorRepository extends ServiceEntityRepository
{
    public function __construct(\Doctrine\Persistence\ManagerRegistry $registry)
    {
        parent::__construct($registry, Author::class);
    }

    public function findAllAuthors(): array
    {
        $authors = $this->findAll();
        $result = [];

        foreach ($authors as $author) {
            $result[] = $author->toArray();
        }

        return $result;
    }
}
